Package org.globus.gsi.stores

# Class ResourceSecurityWrapperStore<T extends AbstractResourceSecurityWrapper<V>,V>

java.lang.Object
org.globus.gsi.stores.ResourceSecurityWrapperStore<T,V>

Type Parameters:
  `T` -
  `V` -

Direct Known Subclasses:
  `ResourceCACertStore`, `ResourceCRLStore`, `ResourceProxyCredentialStore`

public abstract class ResourceSecurityWrapperStore<T extends AbstractResourceSecurityWrapper<V>,V> extends Object
Created by IntelliJ IDEA. User: turtlebender Date: Dec 29, 2009 Time: 12:29:45 PM To change this template use File | Settings | File Templates.

## Constructor Summary

Constructors
Constructor
Description
`ResourceSecurityWrapperStore()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`create(GlobusResource resource)`
`Collection<V>`
`getCollection()`
`abstract FilenameFilter`
`getDefaultFilenameFilter()`
`protected abstract org.apache.commons.logging.Log`
`getLog()`
`Map<String,T>`
`getWrapperMap()`
`void`
`loadWrappers(String locationPattern)`
`void`
`loadWrappers(String[] locations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceSecurityWrapperStore

public ResourceSecurityWrapperStore()

## Method Details

### getWrapperMap

public Map<String,T> getWrapperMap()

### loadWrappers

public void loadWrappers(String[] locations) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### loadWrappers

public void loadWrappers(String locationPattern) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### create

public abstract T create(GlobusResource resource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getDefaultFilenameFilter

public abstract FilenameFilter getDefaultFilenameFilter()

### getCollection

public Collection<V> getCollection()

### getLog

protected abstract org.apache.commons.logging.Log getLog()